## Apache Zeta Components Manual :: Docs For Class ezcDbSchemaOptions

### DatabaseSchema::ezcDbSchemaOptions

### Class ezcDbSchemaOptions

Class containing the basic options for charts

Source for this file: /DatabaseSchema/src/options/schema.php

    ezcBaseOptions
       |
       --ezcDbSchemaOptions

Version: | //autogentag//

### Properties

string | read/write | `$fieldClassName` The objects that are returned for each field are of this class, it needs to extend from the ezcDbSchemaField struct.
string | read/write | `$indexClassName` The objects that are returned for each index are of this class, it needs to extend from the ezcDbSchemaIndex struct.
string | read/write | `$indexFieldClassName` The objects that are returned for each index field are of this class, it needs to extend from the ezcDbSchemaIndexField struct.
string | read/write | `$tableClassName` The objects that are returned for each table are of this class, it needs to extend from the ezcDbSchemaTable struct.

### Inherited Member Variables

From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Method Summary

public void | `__set( $propertyName , $propertyValue )` Set an option value

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### __set

void __set( string $propertyName , mixed $propertyValue )

Set an option value

##### Parameters:

Name | Type | Description
--- | --- | ---
`$propertyName` | string |
`$propertyValue` | mixed |

##### Exceptions:

Type | Description
--- | ---
`ezcBasePropertyNotFoundException` | If a property is not defined in this class
`ezcBaseValueException` | if $value is not correct for the property $name
`ezcBaseInvalidParentClassException` | if the class name passed as replacement for any of the built-in classes do not inherit from the built-in classes.

Documentation generated by phpDocumentor 1.4.3